Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
LockingConfig Members
LockingConfig Class Constructors Methods Fields Properties See Also Send Feedback

The LockingConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| LockingConfig | Initializes a new instance of the LockingConfig class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| DeadlockResolution | If non-null, the deadlock detector is to be run whenever a lock conflict occurs, lock request(s) should be rejected according to the specified policy.

# Properties

| Name | Description
--- | --- | ---
| Conflicts | The locking conflicts matrix.
| InitLockCount | The initial number of locks created by the Berkeley DB environment
| InitLockerCount | The initial number of simultaneous locking entities created by the Berkeley DB environment
| InitLockObjectCount | The initial number of lock objects created by the Berkeley DB environment
| MaxLockers | The maximum number of simultaneous locking entities supported by the Berkeley DB environment
| MaxLocks | The maximum number of locks supported by the Berkeley DB environment.
| MaxObjects | The maximum number of locked objects supported by the Berkeley DB environment.
| Partitions | The number of lock table partitions in the Berkeley DB environment.
| TableSize | Set the number of buckets in the lock object hash table in the Berkeley DB environment.

# See Also

LockingConfig Class
BerkeleyDB Namespace